Subject: bug#26401: [PATCH] python-tryton (with no modules)

From: Catonano <[email-masked]>
Date: Wed, 17 May 2017 09:45:44 +0200

2017-05-17 7:54 GMT+02:00 Arun Isaac <[email-masked]>:

>
> >> In any case, tryton needs only python2-genshi.
> >
> > Out of curiosity: how can you say this ?
> > The Fedora package uses both Genshi and Relatorio with Python 3
>
> I was looking at the Arch Linux packages in the AUR as a reference. Arch
> has tryton packaged with python 2. But, I just checked the "Programming
> Language" metadata in the setup.py of the tryton and trytond source
> tarballs. It seems that tryton supports python 2.7, while trytond
> supports python 2.7 and 3.5.
>
> So, yes, you're right. At least for trytond, we could use python
> 3.5. But, considering the complexity of packaging (patching and all)
> genshi for python 3.5, I think we should just wait for the python3.5
> genshi to be properly ready and use python2 in the meantime. WDYT?
>

I know that the Guix poliicy is to let upstream do its homework.

But in this case I would keep the patched Genshi

In fact, if you read the most recent thread in the Genshi google group:

https://groups.google.com/forum/#!forum/genshi

 you can deduce that:

   1. the patches have been used by mainstream distros for almost 2 years
   now, if I understand correctly
   2. the development of Genshi is stalled. The last contribution (adding
   travis) was 2 years ago

what is being deployed by other distros already is, substantially, the new
Genshi release

And unless someone steps up in maintaning the project, there won't be a
formal release anytime soon